%include %{_rpmconfigdir}/macros.python3

Name: python3-asn1crypto
Version: 0.24.0
Release: 1
License: MIT
Summary: A fast, pure Python library for parsing and serializing ASN.1 structures
Url: https://github.com/wbond/asn1crypto

Source0: https://files.pythonhosted.org/packages/ea/cd/35485615f45f30a510576f1a56d1e0a7ad7bd8ab5ed7cdc600ef7cd06222/asn1crypto-0.24.0-py2.py3-none-any.whl

BuildArch: noarch

BuildRequires: python3-pip

%description
%summary

%install
pip%{py_ver} install --no-index --no-compile --root %{buildroot} %{SOURCE0}

perl -p -i -e 's|pip|rpm|g' %{buildroot}%{py_sitedir}/*.dist-info/INSTALLER

%files
%defattr(-, qsys, *none)

%{py_sitedir}/asn1crypto
%{py_sitedir}/asn1crypto-%{version}.dist-info

%changelog
* Thu Jan 10 2019 - Kevin Adler <kadler@us.ibm.com>
- Update license BSD -> MIT
- Add noarch as the build arch
- Remove unnecessary build requirments
- General cleanup

* Thu Jan 10 2019 - Jesse Gorzinski <jgorzinski@gmail.com>
- Initial commit
